.if n .ds Q \&"
.if t .ds Q ``
.if n .ds U \&"
.if t .ds U ''
.TH tnos 1 09/16/96 tnos TNOS\ Users\ Manual
.tr \&
.nr bi 0
.nr ll 0
.nr el 0
.de DS
..
.de DE
..
.de Pp
.ie \\n(ll>0 \{\
.ie \\n(bi=1 \{\
.nr bi 0
.if \\n(t\\n(ll=0 \{.IP \\(bu\}
.if \\n(t\\n(ll=1 \{.IP \\n+(e\\n(el.\}
.\}
.el .sp 
.\}
.el \{\
.ie \\nh=1 \{\
.LP
.nr h 0
.\}
.el .PP 
.\}
..      \" This manual page is part of the TNOS Documentation Project
.SH NAME

.Pp
.Pp
tnos -- Tampa Network Operating System
.Pp
.SH SYNOPSIS

.Pp
.Pp
tnos [ \fIoptions...\fP ]
.Pp
.SH DESCRIPTION

.Pp
.Pp
This manual page reflect TNOS release 2.03 and greater.
.Pp
\fITNOS\fP is an application which makes your computer a complete
TCP/IP-capable machine, complete with support for Amateur Packet radio,
via the AX25 Link Level Protocol. \fITNOS\fP support both MS-DOS (or
Windows, Win-95, OS-2),
and Unix. The MS-DOS version is limited to the DOS 640K conventional
memory boundaries, which limits the number of servers and features that
can be compiled into the executable.
.Pp
\fITNOS\fP really shines, though, on a Unix platform, like Linux! ALL of
\fITNOS\fP's
features can be compiled in, and the \fITNOS\fP box can act as a completely
separate virtual machine from the normal Linux environment, allowing
for a secure Amateur firewall.
.Pp
Most TCP/IP servers are contained within \fITNOS\fP, including FTP, telnet,
HTTP, NNTP, and many more. There are also some special servers that are
particular to Amateur Radio, including the Ham version of IRC, the Conference
Bridge.
.Pp
Also contained in \fITNOS\fP is a full-featured Packet Bulletin Board System
\fI(PBBS)\fP, fully compatible with non-NOS PBBSs. It supports compressed
and non-compressed PBBS forwarding, file upload/download, and lots more.
In addition, the PBBS can be accessed via the Internet (assuming your
station has Internet connectivity), from anyone's WWW Browser!
.Pp
.SH HISTORY - FROM THE AUTHOR

.Pp
.Pp
There was no original intention to start a "\fITNOS\fP" project. I stumbled
onto GRINOS and found it to be FUN and CHALLENGING. This caused me to
look around and I found JNOS, which was more complete and stable. After
initial testing, I ws ready to replace the AA4RE BBS that I was running
at our club station. I asked the operator of the BBS that was feeding me
traffic to hold off for a few days while I made the change.
.Pp
All went well, everything was in place, users were happy. So I told the
BBS SYSOP to start feeding me traffic. BOOM! CRASH! POW! POP! There were
30 second (and greater) delays changing into certai message areas that
held more than 500 messages. Messages selected for forwarding never left
the system, since the other BBS was timing out waiting for my system to
FIND what I wanted to send.
.Pp
And trying to remotely SYSOP left me frustrated, since very few commands
could be executed without going into remote sysop mode, and back
again.
.Pp
And so the sleepless nights started! I became labeled by those helping
with the project as the "programmer that never sleeps"! Mad dashes
through the code were made to make temporary adjustments to bring the
performance up to an acceptable level.
.Pp
After getting several in the Tampa area to serve as beta-testers (in
addition to the original club BBS), I then set out to clean up the
rubble and make sense of it.
.Pp
Then (while on a roll) I decided to enhance many of the existing
features, including the Conference Bridge. Additional servers were
added. A few GUI "frills" were added. A few adjustments were made to
make it work better with ROSE, since that is what our local network
uses.
.Pp
Thus begat TNOS! Several were critical that I did not let the world get
their hands on it earlier, but since this was never MEANT to be anything
other than a personal project, I did not see that I had the time to put
into supporting a project in turmoil. I waited until it was stable
(relatively) and not undergoing daily changes. I'm sorry if that didn't
please everyone, but (to paraphrase the song), "It's my code and I'll
release when I want to".
.Pp
.SH COPYRIGHT INFO

.Pp
.Pp
TNOS is based on the previous works of KA9Q, WG7J, and many others. Any
copyrights or other restriction by these authors are still in effect. In
addition, all TNOS additions, extensions, and re-works are copyright
1992-96 by Brian A. Lantz and are made availble under the same
conditions.
.Pp
TNOS is available at no cost to the Amateur Radio community and for
educational purposes. If anyone wishes to use TNOS derivative code for
commercial purposes, you can contact the author at 6403 N. Paddock Ave.,
Tampa, FL  33614 or email at brian@lantz.com.
.Pp
TNOS is provided AS-IS, with absolutely no promises, warranties, or
illusions of grandeur. Let the non-buyer beware!
.Pp
.SH OPTIONS

.Pp
.Pp
.nr ll +1
.nr t\n(ll 2
.if \n(ll>1 .RS
.B
.IP "-?"
.br
.nr bi 1
.Pp
Displays the version information on this \fITNOS\fP executable.
.B
.IP "-A devices"
.br
.nr bi 1
.Pp
Defines the maximum number of SLIP/AX25 devices allowed. The
default number of devices is 5.
.B
.IP "-B processes"
.br
.nr bi 1
.Pp
Defines the maximum number of BBS processes allowed. The default
number of processes is 40.
.B
.IP "-D definition"
.br
.nr bi 1
.Pp
Defines a new environment variable for use within
\fITNOS\fP. The \fIdefinition\fP may be in one of two formats, \fIlabel=value\fP,
or \fIlabel\fP. If the latter form is used, the value of \fIlabel\fP
will be set to the name of the label.
This command is only available to executables that have
had the \fISCRIPTING\fP flag defined in their compile.
.B
.IP "-E"
.br
.nr bi 1
.Pp
Instructs \fITNOS\fP to import all environment variables from the OS.
This command is only available to executables that have
had the \fISCRIPTING\fP flag defined in their compile.
.B
.IP "-S manager"
.br
.nr bi 1
.Pp
Sets default session manager. (Unix versions only)
.B
.IP "-T manager"
.br
.nr bi 1
.Pp
Sets session manager to be used for the trace session. (Unix versions only)
.B
.IP "-V"
.br
.nr bi 1
.Pp
Give the same output as with the \fI-v\fP options, but also prompts you
at each command, as to whether you wish to execute it or not. Also good for
diagnosing a troubled autoexec.nos file.
.B
.IP "-a interfaces"
.br
.nr bi 1
.Pp
Defines the maximum number of AXIP interfaces allowed. The default
number of AXIP interfaces is 16.
This command is only available to executables that have
had the \fIAXIP\fP
flag defined in their compile.
.B
.IP "-b"
.br
.nr bi 1
.Pp
Use BIOS for direct video screen output. Much faster. (MS-DOS version only)
.B
.IP "-c"
.br
.nr bi 1
.Pp
Sets a TNOS 68000 system to use Curses for it's screen display
management. There \fBare\fP no systems of this type available
outside of the author's bench.
This command is only available to executables that have
had the \fITNOS_68K\fP
flag defined in their compile.
.B
.IP "-d rootdir"
.br
.nr bi 1
.Pp
Sets the \fITNOS\fP root directory to \fIrootdir\fP. By default, the rootdir
is '.' for Unix and '/' for MS-DOS.
.B
.IP "-e"
.br
.nr bi 1
.Pp
Use EGA mode for the screen output, giving either a 43 or a 50 line
display (depending on the display adapter). (MS-DOS version only)
.B
.IP "-f configfile"
.br
.nr bi 1
.Pp
Instructs \fITNOS\fP to use the file \fIconfigfile\fP as a file to
define alternate definitions for the internal \fITNOS\fP filename strings.
.B
.IP "-g colorname"
.br
.nr bi 1
.Pp
Sets the foreground color for \fITNOS\fP.
This command is available to executables that do not have
the \fIUNIX\fP
flag defined in their compile.
.B
.IP "-k colorname"
.br
.nr bi 1
.Pp
Sets the background color for \fITNOS\fP.
This command is available to executables that do not have
the \fIUNIX\fP
flag defined in their compile.
.B
.IP "-m"
.br
.nr bi 1
.Pp
Displays the TNOS features MAP information on this \fITNOS\fP
executable. This command is available on release 2.20 and greater.
.B
.IP "-n"
.br
.nr bi 1
.Pp
Disables tracing to a separate session. This will make all trace output
go to the \fITNOS\fP console, instead of to the session accessible via
the \fIF9\fP function key.
This command is only available to executables that have
had the \fITRACE\fP
flag defined in their compile.
.B
.IP "-o sessions"
.br
.nr bi 1
.Pp
Sets the maximum number of interactive console sessions. This cannot be set
to less than 5, The default for this is set in the mkconfig.tcl development
program, and is usually set to 20.
.B
.IP "-r circuits"
.br
.nr bi 1
.Pp
Defines the maximum number of Netrom open circuits allowed. The
default number of circuits is 20.
This command is only available to executables that have
had the \fINETROM\fP
flag defined in their compile.
.B
.IP "-s sockets"
.br
.nr bi 1
.Pp
Sets the maximum number of sockets available within \fITNOS\fP.
The default number
of sockets is set up in the mkconfig.tcl development program, and is
usually set to 40.
.B
.IP "-t"
.br
.nr bi 1
.Pp
Disables internal timers - for debugging purposes only. (Unix versions only)
.B
.IP "-u"
.br
.nr bi 1
.Pp
Grabs all Upper Memory Blocks \fI(UMBs)\fP on startup.
This command is only available to executables that have
had the \fIUMB\fP
flag defined in their compile.
(MS-DOS version only)
.B
.IP "-v"
.br
.nr bi 1
.Pp
Startup in verbose mode. This causes all commands in the autoexec.nos file
to be displayed before they are executed, to help determine where you
might be having errors in processing that file.
.B
.IP "-x swapfilename"
.br
.nr bi 1
.Pp
Redefines the filename to use when swapping out \fITNOS\fP to use a XSPAWNed
shell.
This command is only available to executables that have
had the \fIXSPAWN\fP
flag defined in their compile. (MS-DOS version only)
.Pp
.if \n(ll>1 .RE
.nr ll -1
.Pp
.SH AUTHOR

.Pp
The author, mastermind, tempermental ruler, and primary fan of \fITNOS\fP is
Brian A. Lantz <brian@lantz.com>.
.Pp
\fIPLEASE\fP DO NOT send \fITNOS\fP support email to that address.
\fITNOS\fP support is
handled ONLY on the TNOS-TOPICS and TNOS-SUPPORT mailing lists.
.Pp
.SH SEE ALSO

.Pp
.Pp
The \fITNOS\fP Frequently Asked Questions \fI(FAQ)\fP document. Do a
\fBfinger tnos@lantz.com\fP
for info on how to obtain the
\fIFAQ\fP
document.
.Pp
The \fITNOS-TOPICS\fP
mailing list is a great user-supported way of getting the help
you may need from time to time. The same \fBfinger\fP command
listed above will give you info on this, also.
.Pp
Voluntarily registering your \fITNOS\fP
will get you access to support from the author of \fITNOS\fP,
Brian A. Lantz, through a special author-supported mailing list
(TNOS-SUPPORT) available for only \fBregistered users\fP of \fITNOS\fP.
.Pp
You can find \fITNOS CENTRAL\fP, with the definitive information
about \fITNOS\fP at http://www.lantz.com.
.Pp
The alpha code development machine (that the author uses to do
the actual \fITNOS\fP development on) can be found by telneting
to ko4ks.ampr.org
or on the WWW at http://ko4ks.ampr.org.
.Pp
.SH BUGS

.Pp
.Pp
Surely you joke ;-)
.Pp
.SH COPYRIGHT

.Pp
.Pp
Tampa Network Operating System (TNOS) is
Copyright 1992-1996 by Brian A. Lantz. TNOS
is available at no cost to the Amateur Radio
community and for educational purposes.
.Pp
.SH TNOS DOCUMENTATION PROJECT

.Pp
.Pp
This MAN page is part of the TNOS
Documentation Project and is maintained by
the author of TNOS, Brian A. Lantz/KO4KS,
and is Copyright 1996 by Brian A. Lantz on
behalf of the TNOS Documentation Project.
.Pp
For further information on the TNOS Documentation
Project, see the 
TDP Web Pages. <http://www.lantz.com/TDP/>
.Pp
